	function func(ax)
	dimension xa(100),ya(100),y2(100)
	common/cfff/nnodi,hcf(100),xt(100),abb(100)
	common/pinco/xxa(100,100),yya(100,100),nt(100)
	common/caio/yfi(100,100)
	common/line1/line,kkt
	func=0.
	xx=alog10(ax)
	in=0
	nnnn=nt(line)

c
c	yfi= G(T)*F(T)
c

	do j=1,nnnn
	xa(j)=xxa(j,line)
	ya(j)=yfi(j,line)
	end do
	if(xx.lt.xa(1))return
	if(xx.gt.xa(nnnn))return
c	write(*,*)(xa(i),i=1,nnnn)
c	write(*,*)(ya(i),i=1,nnnn)

c
c	spline per G(T)*f(T)
c
	call spline(xa,ya,nnnn,2.e30,2.e30,y2)

	call splint(xa,ya,y2,nnnn,xx,y)

c	write(*,*)xx,y
c
	func=0.
	if(y.gt.-30.)func=10.**y
	return
	end

